Payments APIInstitutions

Get list of institutions

GET
/institutions

Get list of institutions. All the details can be used for creating an institution selection UI, along with required account identifiers inputs.

Authorization

Bearer
headerAuthorizationBearer <JWT>

Bearer token using a JWT.

Query Parameters

country*string

Filter for country code (ISO 3166 alpha-2 format) of the payer.

Length2 <= length <= 2
currency*string

Filter for currency code (ISO 4217 format) institution must support.

Length3 <= length <= 3
payments[active]?boolean

Filter whether payments functionality in institution is active or not (temporarily disabled).

payments[recurring][commercial]?boolean

Filter institutions by whether they support commercial VRP (cVRP).

group[name]?string

Filter institutions by group name.

customerId?string

Filter institutions for a given customer. If query param is not provided, customer identifier is taken from the bearer token.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - Successful request, returning institutions' list.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://gateway.sandbox.volt.io/institutions?country=st&currency=str' \  -H 'X-Volt-Api-Version: 1'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "country": "DE",    "name": "Sparkasse Nienburg",    "localName": "Sparkasse Nienburg",    "alternativeName": null,    "group": {      "name": "Sparkasse",      "localName": "Sparkasse"    },    "branch": {      "name": "Nienburg",      "localName": "Nienburg"    },    "nationalId": "25650106",    "assets": {      "icon": "http://cdn.example.com/assets/bank.svg",      "logo": "http://cdn.example.com/assets/bank.svg"    },    "types": [      "BUSINESS"    ],    "supportedCurrencies": [      "EUR"    ],    "capabilities": {      "payments": {        "active": true,        "accountIdentifiersRequired": [          "IBAN"        ],        "additionalDataRequired": [],        "communication": {          "appToApp": "SUPPORTED"        },        "recurring": {          "commercial": false        }      }    }  }]